/*
 *   h a s r u n . c  -  Determine if HASRUN has been run today
 *
 *   By Steve Baker, Dimension Nine Software           30 Mar 90
 *
 *   This program checks a file in the current directory called
 *   HASRUN.DAT. If the file does not exist, or the date in the file
 *   does not match the current date, and errorlevel 0 is returned.
 *   Otherwise, an errorlevel 1 is returned. The current date is stored
 *   in HASRUN.DAT when HASRUN is run.
 *
 *   HASRUN is placed in the Public Domain.
 */

#include	<dos.h>
#include	<mem.h>
#include	<stdio.h>

#define	DATAFILE       "HASRUN.DAT"             /* Data File Name */


void main(void)
{
     FILE *fp;                                    /* Handle for HASRUN.DAT */
     struct date file, curr;                      /* Date Structures */
     int retlevel = 0;                            /* Return Errorlevel */

     getdate(&curr);                              /* Get Current Date */
     if((fp = fopen(DATAFILE,"rb")) != NULL)      /* Get Last Date */
     {
          fread(&file,sizeof(file),1,fp);         
          fclose(fp);
          if(!memcmp(&curr,&file,sizeof(curr)))   /* If the same, set */
               retlevel = 1;                      /* errorlevel to 1 */
     }
     if((fp = fopen(DATAFILE,"wb")) != NULL)      /* Write new date to file */
     {
          fwrite(&curr,sizeof(curr),1,fp);
          fclose(fp);
     }
     exit(retlevel);                              /* Return retlevel */
}
